using APT.BaseData.Domain.Enums;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
namespace APT.BaseData.Domain.Entities
{
    [Description("待办表时间配置")]
    public partial class T_FM_NOTIFICATION_TASK_TIME_SET : MesEntityBase
    {
        /// <summary>
        /// 待办编号(以模块编号开头 例： BS_001、BS_PF_003 尾号按流程顺序 不涉及逻辑供分类查看 等)
        /// </summary>
        [Description("待办编号")]
        [DataFieldLength(30)]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public string CODE { get; set; }

        /// <summary>
        /// 待办名称
        /// </summary>
        [Description("待办名称")]
        [DataFieldLength(20)]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public string NAME { get; set; }

        /// <summary>
        /// 待办类型 提供查找的关键字 （新增需要完善 枚举）
        /// </summary>
        [Description("待办类型")]
        [FormFieldEdit]
        [FormFieldTable]
        [FormFieldQuery]
        public FMTASKTYPE TASK_TYPE { get; set; }

        /// <summary>
        /// 待办类型 批量选择
        /// </summary>
        [Description("待办类型")]
        [DataFieldIngore]
        public string STRTASK_TYPE { get; set; }
        /// <summary>
        /// 时间类型
        /// </summary>
        [Description("时间类型")]
        [FormFieldEdit]
        [FormFieldTable]
        [FormFieldQuery]
        public FMTIMETYPE TIME_TYPE { get; set; }

        /// <summary>
        /// 限制天数
        /// </summary>
        [Description("限制天数")]
        [FormFieldEdit]
        [FormFieldTable]
        [FormFieldQuery]
        public int? DAYDELAY { get; set; }

        /// <summary>
        /// 关联表名
        /// </summary>
        [Description("关联表名")]
        [FormFieldEdit]
        [FormFieldTable]
        [FormFieldQuery]
        public string TABLENAME { get; set; }

        /// <summary>
        /// 关联查询字段（默认ID）
        /// </summary>
        [Description("关联查询字段")]
        [FormFieldEdit]
        public string TABLEKEY { get; set; }

        /// <summary>
        /// 关联时间字段
        /// </summary>
        [Description("关联时间字段")]
        [FormFieldEdit]
        [FormFieldTable]
        [FormFieldQuery]
        public string TABLETIME { get; set; }

        /// <summary>
        /// 顺序
        /// </summary>
        [Description("顺序")]
        [FormFieldEdit]
        public int ROW_NO { get; set; }

        /// <summary>
        /// 限制日期（MM-dd）
        /// </summary>
        [Description("限制日期")]
        [FormFieldEdit]
        public string LIMITDATE { get; set; }

        /// <summary>
        /// 启用标志 0 启用 1 禁用
        /// </summary>
        [Description("启用标志")]
        [FormFieldEdit]
        [FormFieldTable]
        [FormFieldQuery]
        public FMEnableStatusEnum ENABLE_STATUS { get; set; }
    }
}
